/*
    Overrides for Material UI classes

    These classes were copied from material-components-web.css and
    modified to fit our theming needs.
*/

/* Solid Style Button */
button.mdc-button:not(:disabled) {
    display: block;
    width: 100%;
    max-width: 17.5rem;
    height: 3rem;
    border-radius: 6px;
    font-family: 'Synchrony Sans';
    font-family: var(--primary-button--font, 'Synchrony Sans');
    font-size: .875rem;
    letter-spacing: normal;
    /*
        Support: IE11 Material UI Theming
        Description: Doesn't inherit '--mdc-theme-primary' CSS Variable background color.
        Fix: Explicitly set 'background-color' property to CSS variable value.
    */
    background-color: #3e8529;
    background-color: var(--mdc-theme-primary, #3e8529);
}

/* Solid Style Button (Focused) */
button.mdc-button:not(:disabled):focus {
    background-color: #367424;
    background-color: var(--mdc-theme-primary--focus, #367424);
    outline: none;
    border: 1px solid #4D90FE;
    -webkit-box-shadow: 0px 0px 5px #4D90FE;
    box-shadow: 0px 0px 5px #4D90FE;
}

/* Solid Style Button - Ripple Animation */
.mdc-button--raised:not(.mdc-ripple-upgraded):focus::before,
.mdc-button--raised.mdc-ripple-upgraded--background-focused::before,
.mdc-button--unelevated:not(.mdc-ripple-upgraded):focus::before,
.mdc-button--unelevated.mdc-ripple-upgraded--background-focused::before {
    transition-duration: 75ms;
    opacity: 0;
}

.mdc-button:not(.mdc-ripple-upgraded):focus::before,
.mdc-button.mdc-ripple-upgraded--background-focused::before {
    transition-duration: 75ms;
    opacity: 0;
}

/* Text-Input */
.mdc-text-field {
    width: 17.1875rem;
}

.mdc-text-field .mdc-text-field__input {
    font-size: .875rem;
}

/* Text-Input Input Area */
.mdc-text-field .mdc-text-field__input + span {
    font-size: 1.5rem;
    padding-top: 1rem;
    padding-right: 3rem;
}

/* Text-Input Icon - Size */
.mdc-text-field.mdc-text-field--with-leading-icon > svg:first-child,
.mdc-text-field.mdc-text-field--with-trailing-icon > svg:nth-child(2) {
    font-size: 1.5rem;
}

/* Text-Input Icon - Color */
.mdc-text-field.mdc-text-field--with-leading-icon .mdc-text-field__icon:first-child {
    color: #34567f;
    color: var(--icon, #34567f);
}

/* Text-Input Error Icon - Color */
.mdc-text-field--invalid.mdc-text-field--with-trailing-icon.mdc-text-field--with-leading-icon:not(.mdc-text-field--disabled) .mdc-text-field__icon~.mdc-text-field__icon {
    color: #aa0f00;
    color: var(--error-icon, #aa0f00);
}

.mdc-text-field.mdc-text-field--with-trailing-icon > .mdc-text-field__input {
    padding-right: 1rem;
}

/* Text-Input Background - Color */
.mdc-text-field--outlined:not(.mdc-text-field--disabled) {
    background-color: #fff;
}

.mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__notch {
    border-top-width: 1px;
    border-top-style: solid;
}

.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__notch {
    border-top-width: 2px;
    border-top-style: solid;
}

/* Text-Input Border Focus - Color */
.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__leading, .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__notch, .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__trailing {
    border-color: #34567f;
    border-color: var(--mdc-theme-primary, #34567f);
  }

.mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,
.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above {
    -webkit-transform: translateY(-70%) scale(0.75);
    transform: translateY(-70%) scale(0.75)
}

/* Text-Input Label - Color */
.mdc-text-field:not(.mdc-text-field--disabled) .mdc-floating-label,
.mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-floating-label {
    color: rgba(0, 0, 0, .6);
    color: rgba(var(--field-labels-rgb, 0, 0, 0), .6);
}

/* Text-Input Invalid Label - Color */
.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-floating-label {
    color: #aa0f00;
    color: var(--mdc-theme-error, #aa0f00);
}

/* Text-Input Invalid Border - Color */
.mdc-text-field--textarea.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__leading, .mdc-text-field--textarea.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__notch, .mdc-text-field--textarea.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__trailing {
    border-color: #aa0f00;
    border-color: var(--mdc-theme-error, #aa0f00)
}

.mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__leading, .mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__notch, .mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing {
    border-color: #aa0f00;
    border-color: var(--mdc-theme-error, #aa0f00)
}

.mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused) .mdc-text-field__input:hover~.mdc-notched-outline .mdc-notched-outline__leading, .mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused) .mdc-text-field__input:hover~.mdc-notched-outline .mdc-notched-outline__notch, .mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused) .mdc-text-field__input:hover~.mdc-notched-outline .mdc-notched-outline__trailing, .mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused) .mdc-text-field__icon:hover~.mdc-notched-outline .mdc-notched-outline__leading, .mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused) .mdc-text-field__icon:hover~.mdc-notched-outline .mdc-notched-outline__notch, .mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused) .mdc-text-field__icon:hover~.mdc-notched-outline .mdc-notched-outline__trailing {
    border-color: #aa0f00;
    border-color: var(--mdc-theme-error, #aa0f00)
}

.mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__leading, .mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__notch, .mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__trailing {
    border-color: #aa0f00;
    border-color: var(--mdc-theme-error, #aa0f00)
}

.mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-text-field__input,
.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-text-field__input {
    padding-top: 28px;
}

.mdc-text-field:not(.mdc-text-field--disabled) + .mdc-text-field-helper-line .mdc-text-field-helper-text {
    font-family: var(--field-labels--font, 'Arial');
    color: #aa0f00;
    color: var(--mdc-theme-error, #aa0f00);
    font-size: 1em;
}

/* Remove '*' from end of field label on required inputs */
.mdc-text-field__input:required~.mdc-floating-label::after,
.mdc-text-field__input:required~.mdc-notched-outline .mdc-floating-label::after {
    content: "";
    margin-left: 0;
}

.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__leading,.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__notch,.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__trailing
{
    border-color:#ED602A;
    border-color:var(--mdc-theme-primary, #ED602A) !important;
}

#verifyCodeScreen .mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,
#verifyCodeScreen .mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above {
    color:#767676;
    color:var(--color_helpText,#767676);
}